Summary: Open Phone Abstraction Library
Name: opal
Version: 2.2.11
Release: 3%{?dist}
URL: http://www.openh323.org/
Source0: http://www.ekiga.org/%{name}-%{version}.tar.gz
License: MPL
Group: System Environment/Libraries
Requires: pwlib >= 1.10.10
BuildRequires: pwlib-devel >= 1.10.10
BuildRequires: openldap-devel
BuildRequires: SDL-devel
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: openh323

%description
Open Phone Abstraction Library, implementation of the ITU H.323
teleconferencing protocol, and successor of the openh323 library.

%package devel
Summary: Development package for opal
Group: Development/Libraries
Requires: opal = %{PACKAGE_VERSION}
Requires: pwlib-devel >= 1.10.10
Obsoletes: openh323-devel
%description devel
Static libraries and header files for development with opal.

%prep
%setup -q 

%build
%configure --enable-localspeex

make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_datadir}/opal/opal_inc.mak

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc  mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_datadir}/opal
%{_libdir}/*.so

%changelog
* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.11-3
- Autorebuild for GCC 4.3

* Thu Dec  6 2007 Jeremy Katz <katzj@redhat.com> - 2.2.11-2
- rebuild for new openssl and openldap

* Tue Sep 18 2007 Daniel Veillard <veillard@redhat.com> - 2.2.11-1
- upstream release of 2.2.11

* Tue Sep 18 2007 Daniel Veillard <veillard@redhat.com> - 2.2.10-1
- upstream release of 2.2.10
- includes the 2 cisco patches

* Wed Aug 22 2007 Daniel Veillard <veillard@redhat.com> - 2.2.8-5.fc8
- added 2 patches needed when using a CISCO server

* Sun Apr 15 2007 Daniel Veillard <veillard@redhat.com> - 2.2.8-1
- upstream release of 2.2.8

* Mon Mar 12 2007 Daniel Veillard <veillard@redhat.com> - 2.2.6-1
- upstream release of 2.2.6

* Wed Feb 14 2007 Daniel Veillard <veillard@redhat.com> - 2.2.5-1
- upstream release of 2.2.5

* Mon Jan 22 2007 Daniel Veillard <veillard@redhat.com> - 2.2.4-1
- upstream release of 2.2.4

* Wed Dec 20 2006 Daniel Veillard <veillard@redhat.com> - 2.2.3-4
- applied patch from upstream to fix RFC2833 DTMF duration problem
- Resolves: rhbz#220333

* Mon Nov  6 2006 Daniel Veillard <veillard@redhat.com> - 2.2.3-3
- moved the .so to -devel
- Resolves: rhbz#203633

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.2.3-2
- Rebuild against newer pwlib

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.2.3-1
- Update to 2.2.3

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.2.2-1.1
- rebuild

* Wed May 31 2006 Daniel Veillard <veillard@redhat.com> - 2.2.2-1
- new release for ekiga-2.0.2
- try to fix #192740 mutilib problem

* Tue Mar 14 2006 Daniel Veillard <veillard@redhat.com> - 2.2.1-1
- last minute break fix and new release

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> - 2.2.0-2
- rebuild

* Mon Mar 13 2006 Daniel Veillard <veillard@redhat.com> - 2.2.0-1
- final version for ekiga-2.0.0

* Mon Feb 13 2006 Daniel Veillard <veillard@redhat.com> - 2.1.3-1
- new beta version for ekiga

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 24 2006 Daniel Veillard <veillard@redhat.com> - 2.1-1
- initial version based on the openh323 spec file
